Bug 32134 - Show the bundle size when checked out
Summary: Show the bundle size when checked out
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Kyle M Hall
URL:
Keywords: rel_22_11_candidate
Depends on: 28854
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-08 14:28 UTC by Julian Maurice
Modified: 2023-01-19 22:58 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
23.05.00,22.11.01


Attachments
Bug 32134: Show the bundle size when checked out (2.74 KB, patch)
2022-11-08 14:29 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 32134: Show the bundle size when checked out (2.78 KB, patch)
2022-11-10 08:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 32134: Show the bundle size when checked out (2.84 KB, patch)
2022-12-02 15:46 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2022-11-08 14:28:32 UTC
When checking out a bundle, it can be useful to know the number of items in this bundle, so that librarians can quickly check if items are missing.
Comment 1 Julian Maurice 2022-11-08 14:29:14 UTC
Created attachment 143393 [details] [review]
Bug 32134: Show the bundle size when checked out

When checking out a bundle, it can be useful to know the number of items
in this bundle, so that librarians can quickly check if items are
missing.

Test plan:
1. Create a bundle (see bug 28854 comment 458)
2. Check out the bundle.
3. Verify that you have the bundle size in the message below the barcode
   input ("Checked out: [...]. Bundle of X items. Due on [...]")
4. Checkout an item that is not a bundle.
5. Verify that the bundle message does not appear
Comment 2 David Nind 2022-11-10 08:45:54 UTC
Created attachment 143625 [details] [review]
Bug 32134: Show the bundle size when checked out

When checking out a bundle, it can be useful to know the number of items
in this bundle, so that librarians can quickly check if items are
missing.

Test plan:
1. Create a bundle (see bug 28854 comment 458)
2. Check out the bundle.
3. Verify that you have the bundle size in the message below the barcode
   input ("Checked out: [...]. Bundle of X items. Due on [...]")
4. Checkout an item that is not a bundle.
5. Verify that the bundle message does not appear

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Kyle M Hall 2022-12-02 15:46:11 UTC
Created attachment 144404 [details] [review]
Bug 32134: Show the bundle size when checked out

When checking out a bundle, it can be useful to know the number of items
in this bundle, so that librarians can quickly check if items are
missing.

Test plan:
1. Create a bundle (see bug 28854 comment 458)
2. Check out the bundle.
3. Verify that you have the bundle size in the message below the barcode
   input ("Checked out: [...]. Bundle of X items. Due on [...]")
4. Checkout an item that is not a bundle.
5. Verify that the bundle message does not appear

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-12-13 17:49:20 UTC
Nice minor enhancement.
Comment 5 Tomás Cohen Arazi 2022-12-13 18:00:49 UTC
Pushed to master for 23.05.

Nice work everyone, thanks!
Comment 6 Martin Renvoize 2022-12-15 13:48:00 UTC
Choosing to backport as this only just missed release because of string freeze.. no workflows will be negatively effected :)
Comment 7 Martin Renvoize 2022-12-15 13:48:40 UTC
Nice work everyone!

Pushed to 22.11.x for the next release